The Stock Entry Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

purpose string

Default: Material Issue

add_to_transit boolean

Default: false

is_standard boolean

Default: false

The Stock Entry Type object
{
  "id": "stock-entry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "purpose": "Material Issue",
  "add_to_transit": false,
  "is_standard": false
}
GET /api/stock/stock-entry-type/{id}

Retrieve a stock entry type

Retrieves the details of an existing stock entry type. Supply the unique stock entry type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the stock entry type to retrieve.

Returns

Returns the stock entry type object if a valid identifier was provided.

GET /api/stock/stock-entry-type/{id}
curl https://api.overplane.dev/api/stock/stock-entry-type/stock-entry-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "stock-entry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "purpose": "Material Issue",
  "add_to_transit": false,
  "is_standard": false
}
GET /api/stock/stock-entry-type

List all stock entry types

Returns a list of stock entry types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of stock entry type objects.

GET /api/stock/stock-entry-type
curl https://api.overplane.dev/api/stock/stock-entry-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "stock-entry-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "purpose": "Material Issue",
      "add_to_transit": false,
      "is_standard": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/stock-entry-type

Create a stock entry type

Creates a new stock entry type object.

Body parameters

purpose string

Default: Material Issue

add_to_transit boolean

Default: false

is_standard boolean

Default: false

Returns

Returns the newly created stock entry type object if the call succeeded.

POST /api/stock/stock-entry-type
curl https://api.overplane.dev/api/stock/stock-entry-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "stock-entry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "purpose": "Material Issue",
  "add_to_transit": false,
  "is_standard": false
}
PATCH /api/stock/stock-entry-type/{id}

Update a stock entry type

Updates the specified stock entry type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the stock entry type to update.

Body parameters

purpose string

Default: Material Issue

add_to_transit boolean

Default: false

is_standard boolean

Default: false

Returns

Returns the updated stock entry type object.

PATCH /api/stock/stock-entry-type/{id}
curl https://api.overplane.dev/api/stock/stock-entry-type/stock-entry-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"purpose":"Material Issue","add_to_transit":false}'
Response
{
  "id": "stock-entry-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "purpose": "Material Issue",
  "add_to_transit": false,
  "is_standard": false
}
DELETE /api/stock/stock-entry-type/{id}

Delete a stock entry type

Permanently deletes a stock entry type. This cannot be undone.

Path parameters

id string required

The identifier of the stock entry type to delete.

Returns

Returns a confirmation that the stock entry type has been deleted.

DELETE /api/stock/stock-entry-type/{id}
curl https://api.overplane.dev/api/stock/stock-entry-type/stock-entry-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "stock-entry-type_abc123",
  "deleted": true
}